export default class UrlUtils {
  static getQueryParams(queryString: string): Map<string, any>;
  static getUrlBase(): string;
  /**
  *  Extrai da URL o parâmetro que contém o resourceId da tela desejada.
  *
  */
  static getResourceIdFromUrlToken(url: string): string | null;
  /**
   *  Extrai da URL o parâmetro que contém o o objeto com a PK do registro específico.
   *
   */
  static getPkObjectFromUrlToken(url: string): ObjectFromToken | null;
}
interface ObjectFromToken {
  [key: string]: any;
}
export {};
